bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: groups bug


From: Eric Blake
Subject: Re: groups bug
Date: Sat, 29 Sep 2007 08:58:56 -0600
User-agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.6) Gecko/20070728 Thunderbird/2.0.0.6 Mnenhy/0.7.5.666

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

According to Jim Meyering on 9/29/2007 12:00 AM:
> Eric Blake <address@hidden> wrote:
>> From: Eric Blake <address@hidden>
>> Date: Fri, 28 Sep 2007 17:07:35 -0600
>> Subject: [PATCH] Fix 'groups id --'.
>>
>> * src/groups.sh: Don't lose first argument if later argument is --.
> 
> Thanks!  Applied.

How about this followup?

Oh, and the testsuite fails to run on cygwin, since the %.log:%$(EXEEXT)
rule then expects all test scripts to end in .exe.  The alternative is
renaming all scripts to end with the suffix .test.

- --
Don't work too hard, make some time for fun as well!

Eric Blake             address@hidden
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFG/mgw84KuGfSFAYARAsg5AJ9EeHkuBTii//vZMq0//jUliRrIQQCdEJT+
PvNCC8u3EGR5TSDjp9TIlCs=
=EGti
-----END PGP SIGNATURE-----
>From bd3a0d6084874e1d4b26d5c67972c49d7317dd6e Mon Sep 17 00:00:00 2001
From: Eric Blake <address@hidden>
Date: Sat, 29 Sep 2007 08:49:20 -0600
Subject: [PATCH] Test previous patch.

* tests/misc/groups-dash: New test.
* tests/misc/Makefile.am (TESTS): Add it.

Signed-off-by: Eric Blake <address@hidden>
---
 ChangeLog              |    6 ++++++
 tests/misc/Makefile.am |    1 +
 tests/misc/groups-dash |   37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+), 0 deletions(-)
 create mode 100755 tests/misc/groups-dash

diff --git a/ChangeLog b/ChangeLog
index 0d98141..87c9839 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2007-09-29  Eric Blake  <address@hidden>
+
+       Test previous patch.
+       * tests/misc/groups-dash: New test.
+       * tests/misc/Makefile.am (TESTS): Add it.
+
 2007-09-28  Eric Blake  <address@hidden>
 
        * src/groups.sh: Don't ignore first argument if later argument is --.
diff --git a/tests/misc/Makefile.am b/tests/misc/Makefile.am
index 1f29e36..85c82e4 100644
--- a/tests/misc/Makefile.am
+++ b/tests/misc/Makefile.am
@@ -70,6 +70,7 @@ TESTS = \
   fmt \
   fmt-long-line \
   fold \
+  groups-dash \
   groups-version \
   head-c \
   head-pos \
diff --git a/tests/misc/groups-dash b/tests/misc/groups-dash
new file mode 100755
index 0000000..f6dfe68
--- /dev/null
+++ b/tests/misc/groups-dash
@@ -0,0 +1,37 @@
+#!/bin/sh
+# ensure groups handles -- sanely
+
+# Copyright (C) 2007 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+  set -x
+  groups --version
+fi
+
+. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
+
+# Coreutils 6.9 and earlier failed to display information on first argument
+# if later argument was --.
+fail=0
+groups none -- > out 2>&1
+echo $? >> out
+groups -- none -- > exp 2>&1
+echo $? >> exp
+
+compare out exp || fail=1
+
+(exit $fail); exit $fail
-- 
1.5.3.2


>From a438ae61218494d423edc6911d381358fdfed9c9 Mon Sep 17 00:00:00 2001
From: Eric Blake <address@hidden>
Date: Sat, 29 Sep 2007 08:56:50 -0600
Subject: [PATCH] Fix testsuite on cygwin.

* check.mk (%.log): Also allow suffix-less tests, on platforms
where $(EXEEXT) is not empty.

Signed-off-by: Eric Blake <address@hidden>
---
 build-aux/ChangeLog |    5 +++++
 build-aux/check.mk  |    4 ++++
 2 files changed, 9 insertions(+), 0 deletions(-)

diff --git a/build-aux/ChangeLog b/build-aux/ChangeLog
index 37f70fe..704f6ba 100644
--- a/build-aux/ChangeLog
+++ b/build-aux/ChangeLog
@@ -1,3 +1,8 @@
+2007-09-29  Eric Blake  <address@hidden>
+
+       * check.mk (%.log): Also allow suffix-less tests, on platforms
+       where $(EXEEXT) is not empty.
+
 2007-09-15  Jim Meyering  <address@hidden>
 
        * vc-list-files: Remove mercurial support.
diff --git a/build-aux/check.mk b/build-aux/check.mk
index 2f44ec7..2a00aa2 100644
--- a/build-aux/check.mk
+++ b/build-aux/check.mk
@@ -97,6 +97,10 @@ rm address@hidden
 %.log: %$(EXEEXT)
        @$(am__check_pre) $${dir}$< $(am__check_post)
 
+# The exact same commands, but for scripts without extension.
+%.log: %
+       @$(am__check_pre) $${dir}$< $(am__check_post)
+
 TEST_LOGS ?= $(TESTS:.test=.log)
 TEST_SUITE_LOG = test-suite.log
 
-- 
1.5.3.2


reply via email to

[Prev in Thread] Current Thread [Next in Thread]